Package org.jboss.classfilewriter

# Class JavaVersions

java.lang.Object
org.jboss.classfilewriter.JavaVersions

public class JavaVersions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`JAVA_1`
The major version number of class files for JDK 1.1.
`static final int`
`JAVA_2`
The major version number of class files for JDK 1.2.
`static final int`
`JAVA_3`
The major version number of class files for JDK 1.3.
`static final int`
`JAVA_4`
The major version number of class files for JDK 1.4.
`static final int`
`JAVA_5`
The major version number of class files for JDK 1.5.
`static final int`
`JAVA_6`
The major version number of class files for JDK 1.6.
`static final int`
`JAVA_7`
The major version number of class files for JDK 1.7.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JAVA_1

public static final int JAVA_1
The major version number of class files for JDK 1.1.

See Also:
  - Constant Field Values

### JAVA_2

public static final int JAVA_2
The major version number of class files for JDK 1.2.

See Also:
  - Constant Field Values

### JAVA_3

public static final int JAVA_3
The major version number of class files for JDK 1.3.

See Also:
  - Constant Field Values

### JAVA_4

public static final int JAVA_4
The major version number of class files for JDK 1.4.

See Also:
  - Constant Field Values

### JAVA_5

public static final int JAVA_5
The major version number of class files for JDK 1.5.

See Also:
  - Constant Field Values

### JAVA_6

public static final int JAVA_6
The major version number of class files for JDK 1.6.

See Also:
  - Constant Field Values

### JAVA_7

public static final int JAVA_7
The major version number of class files for JDK 1.7.

See Also:
  - Constant Field Values